Summary:	A fast, lightweight distributed source control management system
Name:		mercurial
Version:	4.1.3
Release:	1
License:	GPLv2+
Group:		Development/Tools
Url:		http://www.selenic.com/mercurial/
Source0:	https://www.mercurial-scm.org/release/%{name}-%{version}.tar.gz
BuildRequires:	asciidoc
BuildRequires:	python-docutils
BuildRequires:	xmlto
BuildRequires:	pkgconfig(python)
Provides:	hg = %{EVRD}

%description
Mercurial is a fast, lightweight source control management system
designed for efficient handling of very large distributed projects.

%files -f %{name}.files
%doc CONTRIBUTORS COPYING doc/README doc/hg*.txt doc/hg*.html *.cgi contrib/*.fcgi
%doc %attr(644,root,root) contrib/*.svg
%dir %{_sysconfdir}/mercurial
%dir %{_sysconfdir}/mercurial/hgrc.d
%{_mandir}/man*/*
%{_sysconfdir}/bash_completion.d/mercurial.sh
%{_datadir}/zsh/site-functions/_mercurial
%{_datadir}/emacs/site-lisp/*.el
%{_datadir}/xemacs/site-packages/lisp/*.el
%{_bindir}/hgk
%{_bindir}/hg-ssh

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%make all

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install -O1 --root %{buildroot} --prefix %{_prefix} --record=%{name}.files
make install-doc DESTDIR=%{buildroot} MANDIR=%{_mandir}

install contrib/hgk          %{buildroot}%{_bindir}
install contrib/hg-ssh       %{buildroot}%{_bindir}

bash_completion_dir=%{buildroot}%{_sysconfdir}/bash_completion.d
mkdir -p $bash_completion_dir
install -m 644 contrib/bash_completion $bash_completion_dir/mercurial.sh

zsh_completion_dir=%{buildroot}%{_datadir}/zsh/site-functions
mkdir -p $zsh_completion_dir
install -m 644 contrib/zsh_completion $zsh_completion_dir/_mercurial

lisp_dir=%{buildroot}%{_datadir}/emacs/site-lisp
mkdir -p $lisp_dir
install -m 644 contrib/mercurial.el $lisp_dir
install -m 644 contrib/mq.el $lisp_dir

xlisp_dir=%{buildroot}%{_datadir}/xemacs/site-packages/lisp
mkdir -p $xlisp_dir
install -m 644 contrib/mercurial.el $xlisp_dir
install -m 644 contrib/mq.el $xlisp_dir

mkdir -p %{buildroot}%{_sysconfdir}/mercurial/hgrc.d


%changelog

* Sun Apr 23 2017 dsilakov <denis.silakov@rosalab.ru> 4.1.3-1
- (3520984) Merge pull request #19 from pavd/mercurial:rosa2016.1
- (3520984) up to 4.1.3


